[0.17.0] Error when updating to 0.17.1

Things that we don't consider worth fixing at this moment.
Post Reply
lastone
Manual Inserter
Manual Inserter
Posts: 2
Joined: Sun May 08, 2016 2:24 pm
Contact:

[0.17.0] Error when updating to 0.17.1

Post by lastone » Wed Feb 27, 2019 2:03 am

Windows 7.
Open Factorio.
New Update is presented.
Click update now.
Factorio Locks up. Windows states there was an error. Nothing specific in Factorio-current.log
User Account Control asks if Factorio.exe can run.
Click yes.
Get Error: "Value must be a list or dictionary in property tree at ROOT.updates"

User avatar
fishycat
Fast Inserter
Fast Inserter
Posts: 231
Joined: Thu Apr 09, 2015 7:38 pm
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by fishycat » Wed Feb 27, 2019 4:23 am

I'm getting the same error. Updating zipped version from 17.0 to 17.1 via Main menu -> About -> Update now

Results in error: "Value must be a list or dictionary in property tree at ROOT.updates"
Game closes and restarts.

Posting the log, just in case...
factorio-current.log
(9.26 KiB) Downloaded 21 times

ManaUser
Fast Inserter
Fast Inserter
Posts: 188
Joined: Sat Aug 12, 2017 9:41 pm
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by ManaUser » Wed Feb 27, 2019 4:47 am

Me too. Also using zipped version (64 bit) on Windows 7. Starting to sound like a pattern.

Hexalan
Manual Inserter
Manual Inserter
Posts: 3
Joined: Wed Feb 27, 2019 4:47 am
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by Hexalan » Wed Feb 27, 2019 4:51 am

Getting a crash at the same place on Linux ("cpe:/o:opensuse:leap:42.3"):

13.538 1 packages available to download (experimental updates enabled).
terminate called after throwing an instance of 'std::bad_alloc'
what(): std::bad_alloc
26.020 Warning Logger.cpp:491: Symbols.size() == 33, usedSize == 19
Factorio crashed. Generating symbolized stacktrace, please wait ...
Raw stacktrace: 0x9e6c41, 0xb4d76c, 0xb4db1d, 0xb4db79, 0x34fe0, 0, 0xb, 0x51195b, 0x17a43f6, 0x17a4431, 0x17a47f6, 0x506480, 0xf0d936, 0xf0e5d0, 0xf0f643, 0xf0fa2e, 0x51e2dc, 0, 0x52bf2e
30.108 Warning Logger.cpp:491: Symbols.size() == 28, usedSize == 18
#0 0x0000000000b4d76c in GlobalContext::getMap() at /tmp/factorio-build-ZGr0e1/src/GlobalContext.cpp:1730
Attachments
factorio-current.log
Factorio log
(9.41 KiB) Downloaded 14 times

Ayamari
Inserter
Inserter
Posts: 26
Joined: Sat Nov 12, 2016 10:51 am
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by Ayamari » Wed Feb 27, 2019 7:28 am

@Hexalan : There is a separate bug report for the bad_alloc on Linux: viewtopic.php?f=7&t=65264

BillH
Inserter
Inserter
Posts: 35
Joined: Sat Jul 25, 2015 8:01 pm
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by BillH » Wed Feb 27, 2019 3:39 pm

I get the same error on my Windows machine
Attachments
factorio-current.log
(5.87 KiB) Downloaded 16 times

User avatar
fishycat
Fast Inserter
Fast Inserter
Posts: 231
Joined: Thu Apr 09, 2015 7:38 pm
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by fishycat » Wed Feb 27, 2019 6:23 pm

The problem persists. Tried to update from 17.0 to 17.2 from my zip version.

posila
Factorio Staff
Factorio Staff
Posts: 3939
Joined: Thu Jun 11, 2015 1:35 pm
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by posila » Wed Feb 27, 2019 6:27 pm

0.17.0 has broken updater, you won't be able to update from it. Updating from 0.17.1 or 0.16.51 should work

User avatar
fishycat
Fast Inserter
Fast Inserter
Posts: 231
Joined: Thu Apr 09, 2015 7:38 pm
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by fishycat » Wed Feb 27, 2019 6:32 pm

posila wrote:
Wed Feb 27, 2019 6:27 pm
0.17.0 has broken updater, you won't be able to update from it. Updating from 0.17.1 or 0.16.51 should work
Ah alright then. Didn't know to wait or just download the latest version.

Thanks for clearing it up.

Melerion
Manual Inserter
Manual Inserter
Posts: 4
Joined: Wed May 17, 2017 8:11 pm
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by Melerion » Wed Feb 27, 2019 6:33 pm

Had a clean install of 0.17.1 on Windows 7, zip package.

Update from 0.17.1 to 0.17.2 fails as described by OP.
fact-update-error.png
fact-update-error.png (5.42 KiB) Viewed 957 times

posila
Factorio Staff
Factorio Staff
Posts: 3939
Joined: Thu Jun 11, 2015 1:35 pm
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by posila » Wed Feb 27, 2019 6:59 pm

"Value must be a list ..." error is apparently caused by game downloading 503 page and trying to parse it as json. Something seems to be wrong with our update servers.

User avatar
brunzenstein
Filter Inserter
Filter Inserter
Posts: 898
Joined: Tue Mar 01, 2016 2:27 pm
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by brunzenstein » Wed Feb 27, 2019 7:04 pm

posila wrote:
Wed Feb 27, 2019 6:27 pm
0.17.0 has broken updater, you won't be able to update from it. Updating from 0.17.1 or 0.16.51 should work
No- - it doesn't work!
At least not for the Mac version

antichaos
Inserter
Inserter
Posts: 20
Joined: Tue Jul 29, 2014 11:44 am
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by antichaos » Wed Feb 27, 2019 7:07 pm

I was not able to update from 16.51 standalone on Windows 10 and still cannot (no updates available). Have checked experimental updates, login and firewall. Log just shows no updates available at startup, and when checking manually from About menu.

User avatar
MasterBuilder
Filter Inserter
Filter Inserter
Posts: 316
Joined: Sun Nov 23, 2014 1:22 am
Contact:

Re: [0.17.0] Error when updating to 0.17.1

Post by MasterBuilder » Sat Mar 02, 2019 5:10 pm

viewtopic.php?f=3&t=65940#p403424
FactorioBot wrote:
Thu Feb 28, 2019 6:19 pm
We're having problems with our automatic updater at the moment, so please use Steam, or download the full installation at http://www.factorio.com/download/experimental.
Give a man fire and he'll be warm for a day. Set a man on fire and he'll be warm for the rest of his life.

Post Reply

Return to “Won't fix.”

Who is online

Users browsing this forum: No registered users